Page MenuHomePhabricator

Allow AMC to load user contributions page from core
Closed, ResolvedPublic2 Story Points

Description

Background

As a part of the AMC project, we would like users to have an experience more similar to desktop for all special pages. This means loading the desktop special pages for all of the pages which currently have mobile versions

Acceptance Criteria

  • When opted into AMC mode and visiting the contributions page of any user, display the contributions page from core instead of the mobile version of the page

Signoff Criteria

Developer notes

This can be achieved by making https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/103f9892071d0b8d6809426e067b3d14998a6a06/includes/MobileFrontendHooks.php#L499 conditional (override the Contributions page when the AMC is off).

QA Notes

When Anonymous
When AMC is disabled
When AMC is enabled

QA Results

ACStatusDetails
1T225124#5282951
2T225124#5282951
3T225124#5282951

Details

Related Gerrit Patches:

Event Timeline

ovasileva created this task.Jun 5 2019, 5:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 5:32 PM
ovasileva triaged this task as High priority.Jun 5 2019, 5:32 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.

@ovasileva -- @alexhollender recommended we leave a note here that we are planning a modification to Special:Contributions (just for our target wikis and users) that adds a link to Special:Homepage when Special:Contributions is empty (T225328). In case this impacts or interacts with your plans under the hood. Let us know if your team sees any issues!

@ovasileva -- @alexhollender recommended we leave a note here that we are planning a modification to Special:Contributions (just for our target wikis and users) that adds a link to Special:Homepage when Special:Contributions is empty (T225328). In case this impacts or interacts with your plans under the hood. Let us know if your team sees any issues!

no issues from us, although we might want to test how the two work together once they're both done in the cases that someone has both AMC and the newcomer homepage on

ovasileva updated the task description. (Show Details)Jun 18 2019, 3:17 PM
pmiazga updated the task description. (Show Details)Jun 18 2019, 4:08 PM

Change 517950 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Allow AMC users to see core Special:Contributions page

https://gerrit.wikimedia.org/r/517950

@alexhollender @ovasileva the Contributions page loaded on Mobile looks bit broken on small devices:

IMHO we should also tune-up some styles. it looks pretty bad.

@alexhollender you can check this change on beta cluster.

Change 517950 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Allow AMC users to see core Special:Contributions page

https://gerrit.wikimedia.org/r/517950

I think with some minimal fixes we might be alright here:

  1. fix radio button appearance (iOS only)
  2. fix dropdown menu
  3. fix horizontal overflow scrolling

it would also be nice to align the User input field, and the From date input field onto the same line as the labels, but that's not as big of a deal

@alexhollender, @pmiazga - sounds good. Let's split the improvements into a separate task and continue with this one as-is. It doesn't look great, but it is functional.

Change 518078 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Check if user is safe to load before Special:Contributions override

https://gerrit.wikimedia.org/r/518078

Change 518078 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Check if user is safe to load before Special:Contributions override

https://gerrit.wikimedia.org/r/518078

Change 518146 had a related patch set uploaded (by Nray; owner: Nick Ray):
[mediawiki/core@master] Add 'mobile' target to mediawiki.special.contributions

https://gerrit.wikimedia.org/r/518146

nray added a comment.EditedJun 20 2019, 9:13 PM

@alexhollender I'm assuming we also want the OOUI date widgets to work? Currently on beta they are the native date fields, but on: https://en.wikipedia.org/wiki/Special:Contributions/NRay_(WMF)?useskin=minerva the OOUI date widgets are enabled.

@nray I think either way (OOUI or native) is fine. Whatever is easier.

Change 518146 abandoned by Nray:
Add 'mobile' target to mediawiki.special.contributions

Reason:
I agree with Stephen, I'd like to make sure this is needed first (it very well could be but I have questions rn) before we add this

https://gerrit.wikimedia.org/r/518146

nray added a comment.EditedJun 21 2019, 9:26 PM

@nray I think either way (OOUI or native) is fine. Whatever is easier.

@alexhollender I have a patch ready at https://gerrit.wikimedia.org/r/518146 if we decide to use the OOUI widget but if it's all the same to you rn I'd like to make sure that we need it first before merging it as it adds a lot to the JS payload (~80KB). For now, the Contributions page on mobile devices will use the native date widget (when the browser supports it).

nray reassigned this task from nray to Edtadros.Jun 21 2019, 9:41 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)
nray added a subscriber: nray.
nray updated the task description. (Show Details)Jun 21 2019, 9:43 PM

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

AC1: When Anonymous
Logout of https://en.m.wikipedia.beta.wmflabs.org
Go to https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/Selenium_user
Ensure that the MobileFrontend version of the contributions page shows. The core version will have a form you can use to filter contributions whereas the MobileFrontend version will not have this form.

AC2: When AMC is disabled
Login and disable AMC mode on https://en.m.wikipedia.beta.wmflabs.org
Go to https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/Selenium_user
Ensure that the MobileFrontend version of the contributions page shows. The core version will have a form you can use to filter contributions whereas the MobileFrontend version will not have this form.

AC3: When AMC is enabled
Login and enable AMC mode on https://en.m.wikipedia.beta.wmflabs.org
Go to https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/Selenium_user
Ensure that the core version of the contributions page shows. The core version will have a form you can use to filter contributions whereas the MobileFrontend version will not have this form.

Edtadros reassigned this task from Edtadros to ovasileva.Jun 25 2019, 3:54 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Jun 26 2019, 5:33 PM